Loading...
Searching...
No Matches
OBSqrtTbl Class Reference

`#include <openbabel/obutil.h>`

## Public Member Functions

| OBSqrtTbl ()
| OBSqrtTbl (const double max, const double incr)
| ~OBSqrtTbl ()
double | Sqrt (double d2) const
void | Init (double max, double incr)

## Detailed Description

Square Root lookup table - given a distance squared returns distance.

## Constructor & Destructor Documentation

## OBSqrtTbl() [1/2]

OBSqrtTbl | ( |  | ) |

inline

## OBSqrtTbl() [2/2]

OBSqrtTbl | ( | const double | max,
|  | const double | incr )

inline

Create a square root table to handle up to the square root of `max` (e.g., if you want the square root of 144, supply 12 for max).

Parameters

  max | The maximum square root stored in the lookup table
  incr | The floating point resolution of the lookup table

## ~OBSqrtTbl()

~OBSqrtTbl | ( |  | ) |

inline

## Member Function Documentation

## Sqrt()

double Sqrt | ( | double | d2 | ) | const

inline

Fast square root calculation using a lookup table.

Returns
  Square root of `d2`

## Init()

void Init | ( | double | max,
|  | double | incr )

inline

Initialize the square root lookup table.

Parameters

  max | The maximum square root stored in the lookup table (e.g., if you want the square root of 144, supply 12 for max)
  incr | The floating point resolution of the lookup table

Referenced by OBSqrtTbl().

The documentation for this class was generated from the following file:

- obutil.h